Skip to main content
POST
Batch set account flag state

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app for which the feature flags are being managed.

flagName
string
required

The name of the feature flag to upsert.

Body

application/json
portalStates
object[]
required

An array of portal flag state entries to be updated. Each entry contains details about the portal ID and the desired flag state.

Response

successful operation

portalFlagStates
object[]
required

An array of portal flag state responses, each representing the state of a feature flag for a specific portal.

Last modified on September 9, 2026